Bug 590600 - [RV515] KMS:RV516:Radeon X1300/X1550 2nd DVI output doesn't work
[RV515] KMS:RV516:Radeon X1300/X1550 2nd DVI output doesn't work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
[cat:conf_input]
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-10 05:51 EDT by Mads Kiilerich
Modified: 2012-08-16 18:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:23:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (42.58 KB, text/plain)
2010-05-10 05:51 EDT, Mads Kiilerich
no flags Details
/var/log/Xorg.0.log - slightly clobbered by lots of experiments (1.25 MB, text/plain)
2010-05-10 05:53 EDT, Mads Kiilerich
no flags Details
xrandr output with two VDIs attached (6.35 KB, text/plain)
2010-05-10 05:53 EDT, Mads Kiilerich
no flags Details
xrandr output with VDI and VGI attached (6.54 KB, text/plain)
2010-05-10 05:54 EDT, Mads Kiilerich
no flags Details

  None (edit)
Description Mads Kiilerich 2010-05-10 05:51:44 EDT
Created attachment 412774 [details]
dmesg

Dualscreen with DVI split-cable and DVI monitor on primary screen and VGA adaptor on secondary screen works ok. (There is a lot of flickering on the seconday screen on most LCD screens, and the Dell that worked ok in VGA mode broke.)

When I attach the secondary display as DVI it is detected but there is no output on the display.

Swapping the displays proves that the problem is with the video output.

I would expect dual DVI to work, and if it for some reason is known to not work I would expect a clear indication of that.


kernel-PAE-2.6.33.3-72.fc13.i686
xorg-x11-drv-ati-6.13.0-1.fc13.i686

http://www.smolts.org/client/show/pub_25e3b306-1388-4ca4-8fd8-e15ddf230e0c

01:00.0 VGA compatible controller: ATI Technologies Inc RV516 [Radeon X1300/X1550 Series] (prog-if 00 [VGA controller])
	Subsystem: Dell Device 0d02
	Flags: bus master, fast devsel, latency 0, IRQ 27
	Memory at c0000000 (64-bit, prefetchable) [size=256M]
	Memory at dfde0000 (64-bit, non-prefetchable) [size=64K]
	I/O ports at dc00 [size=256]
	Expansion ROM at dfe00000 [disabled] [size=128K]
	Capabilities: [50] Power Management version 2
	Capabilities: [58] Express Endpoint, MSI 00
	Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Kernel driver in use: radeon
	Kernel modules: radeon

01:00.1 Display controller: ATI Technologies Inc RV516 [Radeon X1300 Pro] (Secondary)
	Subsystem: Dell Device 0d03
	Flags: bus master, fast devsel, latency 0
	Memory at dfdf0000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: [50] Power Management version 2
	Capabilities: [58] Express Endpoint, MSI 00


Difference in "xrandr --verbose" output when switching from (nonworking) vdi-vdi to (working) vdi-vga:

@@ -68,9 +68,9 @@
 		supported: ntsc         pal          pal-m        pal-60      
 		           ntsc-j       scart-pal    pal-cn       secam       
 	load detection: 1 (0x00000001)	range:  (0,1)
-DVI-1 connected 1280x1024+1680+26 (0x54) normal (normal left inverted right x axis y axis) 376mm x 301mm
+DVI-1 connected 1280x1024+1680+0 (0x54) normal (normal left inverted right x axis y axis) 376mm x 301mm
 	Identifier: 0x53
	Timestamp:  1139289
 	Subpixel:   horizontal rgb
 	Clones:     DVI-0
 	CRTC:       1
@@ -80,19 +80,22 @@
 	            0.000000 0.000000 1.000000
 	           filter: 
 	EDID:
-		00ffffffffffff001e6d714ad10b0100
-		030e0103ee261e78ea0a50a5584a9a26
-		215054a56a80314f454f614f81800101
+		00ffffffffffff001e6d704ad10b0100
+		030e01036e261e78eaec50a5584a9a26
+		215054a56b80314f454f614f81800101
 		010101010101302a009851002a403070
 		1300782d1100001e000000fd00384b1e
-		470b000a202020202020000000fc004c
+		530e000a202020202020000000fc004c
 		3139313042200a2020202020000000fc
-		000a2020202020202020202020200025
+		000a20202020202020202020202000b4
 	load detection: 1 (0x00000001)	range:  (0,1)
 	coherent: 1 (0x00000001)	range:  (0,1)
   1280x1024 (0x54)  108.0MHz +HSync +VSync *current +preferred
         h: width  1280 start 1328 end 1440 total 1688 skew    0 clock   64.0KHz
         v: height 1024 start 1025 end 1028 total 1066           clock   60.0Hz
+  1280x1024 (0x60)  135.0MHz +HSync +VSync
+        h: width  1280 start 1296 end 1440 total 1688 skew    0 clock   80.0KHz
+        v: height 1024 start 1025 end 1028 total 1066           clock   75.0Hz
   1152x864 (0x55)  108.0MHz +HSync +VSync
         h: width  1152 start 1216 end 1344 total 1600 skew    0 clock   67.5KHz
         v: height  864 start  865 end  868 total  900           clock   75.0Hz
Comment 1 Mads Kiilerich 2010-05-10 05:53:21 EDT
Created attachment 412777 [details]
/var/log/Xorg.0.log - slightly clobbered by lots of experiments
Comment 2 Mads Kiilerich 2010-05-10 05:53:56 EDT
Created attachment 412778 [details]
xrandr output with two VDIs attached
Comment 3 Mads Kiilerich 2010-05-10 05:54:29 EDT
Created attachment 412779 [details]
xrandr output with VDI and VGI attached
Comment 4 Vedran Miletić 2010-05-24 15:54:45 EDT
Improving summary.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]
Comment 5 Bug Zapper 2011-06-02 10:16:01 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-27 12:13:57 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Mads Kiilerich 2011-06-27 12:30:21 EDT
unclosing
Comment 8 Matěj Cepl 2011-07-01 15:04:04 EDT
(In reply to comment #7)
> unclosing

Could we get updated logs please? Please attach

* your X current server config file (/etc/X11/xorg.conf, if available, and all files in /etc/X11/xorg.conf.d/),
* X server log file (/var/log/Xorg.*.log)
* output of the command,
  evtest /dev/input/event4
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 9 Fedora End Of Life 2012-08-16 18:23:57 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.